# RPM Spec file for GGZ KDE client
%define name ggz-kde-client
%define version 0.0.6
%define release 2mdk
%define lib_name_orig libggz-kde
%define lib_major 2
%define lib_name %{lib_name_orig}%{lib_major}

Name: %{name}
Summary: GGZ Client for KDE
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Other
Source: %name-%version.tar.bz2
URL: http://ggz.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libggz1 >= %{version}-%{release}
BuildRequires: libggz1-devel >= %{version}-%{release}
BuildRequires: libggz-client2 >= %{version}-%{release}
BuildRequires: libggz-client2-devel >= %{version}-%{release}
BuildRequires: libfam0-devel
Requires: libggz1 >= %{version}-%{release}
Requires: libggz-client2 >= %{version}-%{release}
Requires: libfam0

%description
The GGZ Gaming Zone server allows other computers to connect to yours
via the Internet and play network games. 

This package contains the official GGZ Gaming Zone client for the KDE
user interface.

# Main lib package
%package -n %{lib_name}
Summary:   Libraries for running GGZ Gaming Zone KDE applications
Group:     Games/Other
Provides:  %{lib_name_orig} = %{version}-%{release}
Requires:  %{name} = %{version}-%{release}
Requires:  libggz1 >= %{version}-%{release}
Requires:  libggz-client2 >= %{version}-%{release}
Requires:  libfam0

%description -n %{lib_name}
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games. 

This library provides features required for running the KDE client and
KDE games.

# Devel lib package
%package -n %{lib_name}-devel
Summary:   Libraries for building GGZ Gaming Zone KDE applications
Group:     Games/Other
Provides:  %{lib_name_orig} = %{version}-%{release}
Requires:  %{name} = %{version}-%{release}
Requires:  %{lib_name} = %{version}-%{release}
Requires:  libggz1 >= %{version}-%{release}
Requires:  libggz1-devel >= %{version}-%{release}
Requires:  libggz-client2 >= %{version}-%{release}
Requires:  libggz-client2-devel >= %{version}-%{release}
Requires:  libfam0
Requires:  libfam0-devel
Provides:  libggz-kde-devel

%description -n %{lib_name}-devel
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games. 

This library provides features required for building the KDE client and
KDE games.

%prep
%setup

%build
# Can't do SMP builds
export MAKEFLAGS=j1

%configure --with-xinerama --program-transform-name=""

make

%install
export MAKEFLAGS=j1
make DESTDIR=$RPM_BUILD_ROOT install

%clean
# WARNING - Does not test for a stupid BuildRoot
rm -rf $RPM_BUILD_ROOT

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.GGZ QuickStart.GGZ TODO

%{_bindir}/compcal
%{_bindir}/ggzap
%{_bindir}/ggzmodsniff
%{_bindir}/keepalivecontrol
%{_bindir}/kggz
%{_bindir}/shadowbridge

%{_datadir}/applnk/Games/ggz
%{_datadir}/applnk/Settings/Network/kcmggz.desktop
%{_datadir}/applnk/.hidden/shadowbridge.desktop

%{_datadir}/apps/keepalivecontrol
%{_datadir}/apps/kggz

%{_datadir}/icons/hicolor/16x16/apps/compcal.png
%{_datadir}/icons/hicolor/16x16/apps/ggz.png
%{_datadir}/icons/hicolor/16x16/apps/ggzap.png
%{_datadir}/icons/hicolor/16x16/apps/ggzmodsniff.png
%{_datadir}/icons/hicolor/16x16/apps/ggzquick.png
%{_datadir}/icons/hicolor/16x16/apps/keepalivecontrol.png
%{_datadir}/icons/hicolor/16x16/apps/kggz.png
%{_datadir}/icons/hicolor/16x16/apps/shadowbridge.png
%{_datadir}/icons/hicolor/32x32/apps/compcal.png
%{_datadir}/icons/hicolor/32x32/apps/ggzmodsniff.png
%{_datadir}/icons/hicolor/32x32/apps/keepalivecontrol.png
%{_datadir}/icons/hicolor/32x32/apps/kggz.png
%{_datadir}/icons/hicolor/32x32/apps/shadowbridge.png
%{_datadir}/icons/hicolor/48x48/apps/compcal.png
%{_datadir}/icons/hicolor/48x48/apps/keepalivecontrol.png
%{_datadir}/icons/hicolor/48x48/apps/shadowbridge.png

%{_datadir}/locale/de/LC_MESSAGES/ggzap.mo
%{_datadir}/locale/de/LC_MESSAGES/kcm_ggz.mo
%{_datadir}/locale/de/LC_MESSAGES/kggz.mo
%{_datadir}/locale/de/LC_MESSAGES/modsniff.mo
%{_datadir}/locale/de/LC_MESSAGES/shadowbridge.mo
%{_datadir}/locale/es/LC_MESSAGES/kggz.mo
%{_datadir}/locale/fr/LC_MESSAGES/kggz.mo
%{_datadir}/locale/pt_BR/LC_MESSAGES/kggz.mo

%{_datadir}/services/ggz.protocol
%{_datadir}/services/ggzmeta.protocol

%{_docdir}/HTML/en/kggz
%{_docdir}/HTML/en/kioslave/ggz*

%files -n %{lib_name}
%defattr(-,root,root)

%{_libdir}/libggzcorepp.so.2
%{_libdir}/libggzcorepp.so.2.0.0

%files -n %{lib_name}-devel
%defattr(-,root,root)

%{_includedir}/GGZCore.h
%{_includedir}/GGZCoreCommon.h
%{_includedir}/GGZCoreConf.h
%{_includedir}/GGZCoreConfio.h
%{_includedir}/GGZCoreGame.h
%{_includedir}/GGZCoreGametype.h
%{_includedir}/GGZCoreModule.h
%{_includedir}/GGZCorePlayer.h
%{_includedir}/GGZCoreRoom.h
%{_includedir}/GGZCoreServer.h
%{_includedir}/GGZCoreTable.h

%{_libdir}/libggzcorepp.la
%{_libdir}/libggzcorepp.so

%{_libdir}/kde3/libkcm_ggz.la
%{_libdir}/kde3/libkcm_ggz.so
%{_libdir}/kde3/libkcm_ggz_default.la
%{_libdir}/kde3/libkcm_ggz_default.so
%{_libdir}/kde3/libkcm_ggz_games.la
%{_libdir}/kde3/libkcm_ggz_games.so
%{_libdir}/kde3/libkcm_ggz_ggzd.la
%{_libdir}/kde3/libkcm_ggz_ggzd.so
%{_libdir}/kde3/libkcm_ggz_metaserver.la
%{_libdir}/kde3/libkcm_ggz_metaserver.so
%{_libdir}/kde3/libkio_ggz.la
%{_libdir}/kde3/libkio_ggz.so
%{_libdir}/kde3/libkio_ggzmeta.la
%{_libdir}/kde3/libkio_ggzmeta.so

%{_docdir}/ggzcore++

%changelog
* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 andi payn <payn@myrealbox.com>
- Updated to 0.0.6
- Mandrakized (split off libggz-kde1/libggz-kde1-devel, etc.)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Updated for 0.0.5

* Fri Apr 27 2001 Rich Gade <rgade@users.sourceforge.net>
- Initial specification file
